# puts font_families.sort
@xx_large_font_size = screen_size(10 * Pango::SCALE)
@x_large_font_size = screen_size(7 * Pango::SCALE)
@large_font_size = screen_size(6 * Pango::SCALE)
@normal_font_size = screen_size(4.5 * Pango::SCALE)
@small_font_size = screen_size(4 * Pango::SCALE)
@x_small_font_size = screen_size(3 * Pango::SCALE)
@xx_small_font_size = screen_size(2 * Pango::SCALE)

@font_family = find_font_family('Neue Haas Grotesk Text Pro')
@monospace_font_family = 'Ricty Discord'

@default_headline_line_color = '#ffff00'
@default_headline_line_width = 3
@default_headline_line_expand = false

set_graffiti_color "#FF2B22"
set_graffiti_line_width 10

#@table_frame_color = "#ffffff"
#@table_fill_color = "#0f0428"
#@table_body_frame_color = "#ffffff"
#@table_body_fill_color = "#3f3468"
#@table_head_frame_color = "#ffffff"
#@table_head_fill_color = "#rf0428"

#@preformatted_fill_color = '#000000'
# @preformatted_centering = true
@space = screen_y(1)

# @margin_left = 300

@image_slide_number_start_flag_color = "#53575a"
@image_slide_number_goal_flag_color = "#a81313"

include_theme('default')

match(Slide, HeadLine) do |heads|
  heads.prop_set("size", @large_font_size)
  heads.prop_set("weight", "normal")
  set_font_family(heads)
end
match(Slide) do |slides|
  slides.prop_set("foreground", "#53575a")
end

@slide_headline_hide = true

@title_background_color = '#ffff00'
include_theme('title-background-color')

match TitleSlide do |slides|
  slides.margin_left = @margin_right
  slides.prop_set("foreground", "#53575a")
end
match TitleSlide, Title do |titles|
  titles.margin_top = 260
end
match TitleSlide, Subtitle do |subtitle|
end
match TitleSlide, Author do |authors|
  authors.margin_top = 240
end
match TitleSlide, Date do |date|
end

#@title_slide_background_image = 'images/Monstarlab_Logo_Grey_CMYK.png'
#include_theme("title-slide-background-image")

#@slide_background_image = 'images/Powerpoint Content Slide.png'
#include_theme("slide-background-image")

#@slide_logo_image = 'images/mark_g.png'
#include_theme('slide-logo')

@item_image = 'images/mark_y.png'

include_theme("default-item-mark")

add_image_path("rabbit-images")

slide_body = [Slide, Body]
item_list_item = [ItemList, ItemListItem]

indent = 70

match(*(slide_body + (item_list_item * 1))) do |items|
  name = "item1"
  items.delete_pre_draw_proc_by_name(name)
  items.delete_post_draw_proc_by_name(name)
  draw_image_mark(items, @item_image, name, indent: indent)
end

match(*(slide_body + (item_list_item * 2))) do |items|
  name = "item2"
  items.delete_pre_draw_proc_by_name(name)
  items.delete_post_draw_proc_by_name(name)
  draw_image_mark(items, @item_image, name, indent: indent)
end

match(*(slide_body + (item_list_item * 3))) do |items|
  name = "item3"
  items.delete_pre_draw_proc_by_name(name)
  items.delete_post_draw_proc_by_name(name)
  draw_image_mark(items, @item_image, name, indent: indent)
end

enum_list_item = [EnumList, EnumListItem]

match(*(slide_body + enum_list_item + item_list_item)) do |items|
  name = "enum-item1"
  items.delete_pre_draw_proc_by_name(name)
  items.delete_post_draw_proc_by_name(name)
  draw_image_mark(items, @item_image, name, indent: indent)
end

match(*(slide_body + enum_list_item + (item_list_item * 2))) do |items|
  name = "enum-item2"
  items.delete_pre_draw_proc_by_name(name)
  items.delete_post_draw_proc_by_name(name)
  draw_image_mark(items, @item_image, name, indent: indent)
end

# table
all_table = ["**", Table]
match(*(all_table + [TableBody, TableRow, TableCell])) do |cells|
  set_font_family(cells, @monospace_font_family)
end
match(*(all_table + [TableHead, TableRow, TableHeader])) do |headers|
  set_font_family(headers, @monospace_font_family)
end

# Chapter
match Slide do |slides|
  slides.each do |slide|
    if slide.match?(/chapter/)
      slide.prop_set("foreground", "#ffff00")
    elsif slide.match?(/To be continued/)
      slide.prop_set("foreground", "#53575a")
    end
  end
end
